$(document).ready(function () {
    $(".headerFaq").click(function () {
        $(this).toggleClass('opened').toggleClass('closed');
        $(this).next().toggle();
    });
    $(".toggleParagraph").click(function () {
        $(this).toggleClass('opened').toggleClass('closed');
        $(this).next().slideToggle('slow');
    });
    $(".slide").click(function () {
        $(this).toggleClass('opened').toggleClass('closed');
        var content = $(this).parent().find('.faq');
        var key = content.attr('id');
        if ($(this).text() == 'Показать ответ'){
            content.load('/faq/html/' + key + '.html');
            $(this).text('Скрыть ответ');
        } else {
            $(this).text('Показать ответ');
        }
        content.slideToggle('slow');
        return false;
    });

    getFullArticleList(); //Загрузка оглавления

    //Триггер кликов по свеже-подгруженным ссылкам
    $("a[alias]").live( "click", function() {
        var alias = $(this).attr('alias');
        if(alias) showThisItem(alias);
    });

    //Прокрутка при загрузке страницы
    if( (typeof $("#alias").val()) == "string" ){
        var alias = $("#alias").val();
        if(alias) showThisItem(alias);
    }

});

//Получаем список наименований
var artList = {}; artList.loaded = false;
function getFullArticleList(){
    return $.ajax({
        type: "POST",
        url: "getName.php",
        data: {full: true},
        dataType: "json",
        crossDomain: false,
        cache: false,
        async: false,
        success: function(response){
            artList = response.answer;
            artList.loaded = true;
        },
        error: function(){
            artList.loaded = false;
            //alert("Ошибка загрузки");
        }
    });
}

function showThisItem(alias){
    if(artList.loaded){
        var place = {}; place.found = false;
        for (var chapter in artList){
            if(chapter == 'loaded') continue;
            for(var paragraph in artList[chapter]){
                for(var item in artList[chapter][paragraph]){
                    if(alias == item){
                        place.chapter = chapter;
                        place.paragraph = paragraph;
                        place.item = item;
                        place.found = true;
                        break;
                    }
                }
            }
        }
    }

    if(!place.found) return false;
    var animTimer = 0;

    //Раскрытие главы
    var chapterEl = $("h3.headerFaq[chapter="+ place.chapter +"]");
    if(chapterEl.next().css('display') == "none") chapterEl.click(); animTimer =+50;

    //Раскрытие параграфа
    var paragraphEl = $("#" + place.chapter + "_" + place.paragraph);
    if( paragraphEl.next().css('display') == "none" ) paragraphEl.click(); animTimer =+50;

    //Раскрытие пункта
    var itemEl = $("a.slide[name="+ place.item +"]");
    if(itemEl.next().css('display') != "block") itemEl.click(); animTimer =+50;

    //Прокрутка к пункту
    setTimeout(function(){
        $('html, body').animate({scrollTop: $("[name="+place.item+"]").prev().offset().top}, animTimer);
    }, 1000);

    return true;
}